<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.html#index_a"><span>a</span></a></li>
      <li><a href="functions_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_j.html#index_j"><span>j</span></a></li>
      <li><a href="functions_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_q.html#index_q"><span>q</span></a></li>
      <li><a href="functions_r.html#index_r"><span>r</span></a></li>
      <li class="current"><a href="functions_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_x.html#index_x"><span>x</span></a></li>
      <li><a href="functions_y.html#index_y"><span>y</span></a></li>
      <li><a href="functions_z.html#index_z"><span>z</span></a></li>
      <li><a href="functions_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_s.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_s"></a>- s -</h3><ul>
<li>SafeStop()
: <a class="el" href="classframework_1_1core_1_1_thread.html#acd61dc2aef8db4619f5d65eb0aca3d40">framework::core::Thread</a>
</li>
<li>Saturate()
: <a class="el" href="classframework_1_1core_1_1_vector2_d.html#abb8ed690ff3c9053ef9250c0dd6ed4f6">framework::core::Vector2D</a>
, <a class="el" href="classframework_1_1core_1_1_vector3_d.html#a8725cca375d1fd28908e3320041e175e">framework::core::Vector3D</a>
</li>
<li>SaveToFile()
: <a class="el" href="classframework_1_1sensor_1_1_camera.html#a13cdf95230f9254ff96db088a6fec8d8">framework::sensor::Camera</a>
</li>
<li>SendData()
: <a class="el" href="classframework_1_1gui_1_1_send_data.html#aa5982c3e0fc611405a7dee2a7b2f553c">framework::gui::SendData</a>
</li>
<li>SendMessage()
: <a class="el" href="classframework_1_1core_1_1_connected_socket.html#ad905a0beb32f9f0cc83f77edb0cb5681">framework::core::ConnectedSocket</a>
, <a class="el" href="classframework_1_1core_1_1_socket.html#a9f8c016a5eee95d7d3b3749f6d43314d">framework::core::Socket</a>
, <a class="el" href="classframework_1_1core_1_1_tcp_socket.html#aac4662fb9485dcdb799be3f0fb4f6d7f">framework::core::TcpSocket</a>
, <a class="el" href="classframework_1_1core_1_1_udt_socket.html#ada2bf95112165ebe5083c53efa0fdfda">framework::core::UdtSocket</a>
</li>
<li>SendXml()
: <a class="el" href="classframework_1_1gui_1_1_widget.html#a3ac7f6fe666efa23167636cc081f7e43">framework::gui::Widget</a>
</li>
<li>SerialPort()
: <a class="el" href="classframework_1_1core_1_1_serial_port.html#a896483d4ddf66c17b6d89877d461fdc2">framework::core::SerialPort</a>
</li>
<li>SetAltitudeAxis()
: <a class="el" href="classframework_1_1filter_1_1_joy_reference.html#a5058fba00ed373fc387269274461f09b">framework::filter::JoyReference</a>
</li>
<li>SetAngularRates()
: <a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a98afe5226b33e47b5613aa0173c587da">framework::core::AhrsData</a>
</li>
<li>SetAutoExposure()
: <a class="el" href="classframework_1_1sensor_1_1_v4_l_camera.html#a54d5ca384d96884bb4a3bd78e4fb3fbb">framework::sensor::V4LCamera</a>
</li>
<li>SetAutoGain()
: <a class="el" href="classframework_1_1sensor_1_1_v4_l_camera.html#a9096f79d510d19280ac9c2846fda9758">framework::sensor::V4LCamera</a>
</li>
<li>SetBatteryValue()
: <a class="el" href="classframework_1_1sensor_1_1_battery_monitor.html#abc1f4bb2bb538563f8b690aa76b199f5">framework::sensor::BatteryMonitor</a>
</li>
<li>SetBaudrate()
: <a class="el" href="classframework_1_1core_1_1_r_t_d_m___serial_port.html#a40cb1dd5b50194bbadb26e86a23b599d">framework::core::RTDM_SerialPort</a>
, <a class="el" href="classframework_1_1core_1_1_serial_port.html#aa735128759740431636f49083f725fb5">framework::core::SerialPort</a>
, <a class="el" href="classframework_1_1core_1_1_unix___serial_port.html#acf54db8c19c3e57bd40d310b7bd7c1d5">framework::core::Unix_SerialPort</a>
</li>
<li>SetBrightness()
: <a class="el" href="classframework_1_1sensor_1_1_v4_l_camera.html#a2b572f107602b006e12ec561d4fc0dac">framework::sensor::V4LCamera</a>
</li>
<li>SetCenter()
: <a class="el" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a7a262bee3d9719d6c455c302aacd61a2">framework::filter::TrajectoryGenerator2DCircle</a>
</li>
<li>SetCenterSpeed()
: <a class="el" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a5607f264d29e0fc53648ff4d5b3d58d5">framework::filter::TrajectoryGenerator2DCircle</a>
</li>
<li>SetContrast()
: <a class="el" href="classframework_1_1sensor_1_1_v4_l_camera.html#a5b9e29dff0ec8e092a87533fb0d3c5b8">framework::sensor::V4LCamera</a>
</li>
<li>SetCoordinates()
: <a class="el" href="classframework_1_1core_1_1_geo_coordinate.html#a7b72cda95437b7e8e23fc26d710b13ec">framework::core::GeoCoordinate</a>
</li>
<li>SetDataTime()
: <a class="el" href="classframework_1_1core_1_1io__data.html#af4eca364240e1b754fa989bda9717d5a">framework::core::io_data</a>
</li>
<li>SetElementName()
: <a class="el" href="classframework_1_1core_1_1cvmatrix__descriptor.html#addc08d7df9d893c69f5d5ce49cea4cc2">framework::core::cvmatrix_descriptor</a>
</li>
<li>SetEnabled()
: <a class="el" href="classframework_1_1actuator_1_1_bldc.html#a964de7e5226e6ee2317ec3d4d13308a0">framework::actuator::Bldc</a>
</li>
<li>setEnabled()
: <a class="el" href="classframework_1_1gui_1_1_widget.html#a7fe633c500864d494e67ba9e5ab4e3cd">framework::gui::Widget</a>
</li>
<li>SetExposure()
: <a class="el" href="classframework_1_1sensor_1_1_v4_l_camera.html#a1d5b0a8913733b805bcfa1cfbfd14d0a">framework::sensor::V4LCamera</a>
</li>
<li>setFarValue()
: <a class="el" href="classframework_1_1sensor_1_1_simu_camera_g_l.html#ad46890e7032eb9e1d0a1428b4a1a6df1">framework::sensor::SimuCameraGL</a>
</li>
<li>SetFeatureError()
: <a class="el" href="classframework_1_1filter_1_1_optical_flow_data.html#aed60f4c9d684726c2fc2f68260368971">framework::filter::OpticalFlowData</a>
</li>
<li>SetFoundFeature()
: <a class="el" href="classframework_1_1filter_1_1_optical_flow_data.html#a6832d846d69c9c1dccd619bcec77394d">framework::filter::OpticalFlowData</a>
</li>
<li>SetGain()
: <a class="el" href="classframework_1_1sensor_1_1_v4_l_camera.html#adda281260c714f284a343a29553dd47e">framework::sensor::V4LCamera</a>
</li>
<li>SetHue()
: <a class="el" href="classframework_1_1sensor_1_1_v4_l_camera.html#a36a9fef11322d359951f6e6b6034c95b">framework::sensor::V4LCamera</a>
</li>
<li>SetMaxGain()
: <a class="el" href="classframework_1_1sensor_1_1_srf08.html#ad40c31d2d80edc6cfdafaf8f3a849777">framework::sensor::Srf08</a>
</li>
<li>SetMultiplexComboBox()
: <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a10fa4650213e8dec91e7dcdc713875e5">framework::filter::UavMultiplex</a>
</li>
<li>SetNbFeatures()
: <a class="el" href="classframework_1_1filter_1_1_optical_flow_data.html#a3ec3510c42cf1c8ba085de4e872514e5">framework::filter::OpticalFlowData</a>
</li>
<li>setNearValue()
: <a class="el" href="classframework_1_1sensor_1_1_simu_camera_g_l.html#ae66450327e407945976084d7846b2a83">framework::sensor::SimuCameraGL</a>
</li>
<li>SetOffset()
: <a class="el" href="classframework_1_1filter_1_1_pid_thrust.html#a186d6fb3b766d93bd30499790f58443f">framework::filter::PidThrust</a>
</li>
<li>SetPeriodMS()
: <a class="el" href="classframework_1_1core_1_1_thread.html#a3d7e006f50eb03f350c251ad7b0a8924">framework::core::Thread</a>
</li>
<li>SetPeriodUS()
: <a class="el" href="classframework_1_1core_1_1_thread.html#a7aefccd25fe4a0dd6fa76d03090b9bb2">framework::core::Thread</a>
</li>
<li>SetPersistentXmlProp()
: <a class="el" href="classframework_1_1gui_1_1_widget.html#af78e50b7be98bdd572028b0e47c4509b">framework::gui::Widget</a>
</li>
<li>SetPitch()
: <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a2d3d512b0f5e432f6937c26e06cfb31f">framework::filter::UavMultiplex</a>
</li>
<li>SetPitchAxis()
: <a class="el" href="classframework_1_1filter_1_1_joy_reference.html#a87725683b98bf5db43c1a2c63e95ec09">framework::filter::JoyReference</a>
</li>
<li>SetPitchTrim()
: <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#ae88f598af8e8957baacdcac6e58bd415">framework::filter::UavMultiplex</a>
</li>
<li>SetPointsA()
: <a class="el" href="classframework_1_1filter_1_1_optical_flow_data.html#ad831b5e0dd48c1ae1e7461d7e9f26987">framework::filter::OpticalFlowData</a>
</li>
<li>SetPointsB()
: <a class="el" href="classframework_1_1filter_1_1_optical_flow_data.html#a053766052f93807722dd4dac94a484d9">framework::filter::OpticalFlowData</a>
</li>
<li>SetPositionOffset()
: <a class="el" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#add9eb592c445f141fb5eb39d8a7fa1be">framework::filter::TrajectoryGenerator1D</a>
</li>
<li>SetPower()
: <a class="el" href="classframework_1_1actuator_1_1_bldc.html#aa074ef310ada48a7205295c393bc97d1">framework::actuator::Bldc</a>
</li>
<li>SetPtrToCircle()
: <a class="el" href="classframework_1_1core_1_1io__data.html#a65e6d218e3699bfbb7c8c958d85156bf">framework::core::io_data</a>
</li>
<li>SetQuaternion()
: <a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a795b2e75a29c88989906573ff376f682">framework::core::AhrsData</a>
</li>
<li>SetQuaternionAndAngularRates()
: <a class="el" href="classframework_1_1core_1_1_ahrs_data.html#ace7b631abb013e118a117698c216684c">framework::core::AhrsData</a>
</li>
<li>SetRange()
: <a class="el" href="classframework_1_1sensor_1_1_srf08.html#a5a45b7474d916b477f942859bcfe6521">framework::sensor::Srf08</a>
</li>
<li>SetRawAcc()
: <a class="el" href="classframework_1_1core_1_1_imu_data.html#ab9741cbe12d85950663376dc226ec26c">framework::core::ImuData</a>
</li>
<li>SetRawAccMagAndGyr()
: <a class="el" href="classframework_1_1core_1_1_imu_data.html#a17036abb2356046d5e12f427ac0549d3">framework::core::ImuData</a>
</li>
<li>SetRawGyr()
: <a class="el" href="classframework_1_1core_1_1_imu_data.html#a214b2b4bf48e50cb94bb971cc35e0802">framework::core::ImuData</a>
</li>
<li>SetRawMag()
: <a class="el" href="classframework_1_1core_1_1_imu_data.html#a302ec9d26ea8bfc454a4f81e345d3761">framework::core::ImuData</a>
</li>
<li>SetRef()
: <a class="el" href="classframework_1_1sensor_1_1_gps.html#a2ed3abd4f1cf24d5be873dc995d11cb9">framework::sensor::Gps</a>
</li>
<li>SetRoll()
: <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a503a803548d0cefb4a1421e216c8b0b7">framework::filter::UavMultiplex</a>
</li>
<li>SetRollAxis()
: <a class="el" href="classframework_1_1filter_1_1_joy_reference.html#aed9b7b4147df96120afa04bae90fa093">framework::filter::JoyReference</a>
</li>
<li>SetRollTrim()
: <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a68462d9a5649f610fae08cc3faefd1ab">framework::filter::UavMultiplex</a>
</li>
<li>SetRxTimeout()
: <a class="el" href="classframework_1_1core_1_1_i2c_port.html#a2ff1c3138167bb34dd4760d7b06b21e4">framework::core::I2cPort</a>
, <a class="el" href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#a7a0fe5bbfcd26dbf3b13793397c7e73a">framework::core::RTDM_I2cPort</a>
, <a class="el" href="classframework_1_1core_1_1_r_t_d_m___serial_port.html#a7eb6dc7b44e2a72ab2d8b4fefbb0ca7a">framework::core::RTDM_SerialPort</a>
, <a class="el" href="classframework_1_1core_1_1_serial_port.html#a7f16f24c38064b41b577af5727b36851">framework::core::SerialPort</a>
, <a class="el" href="classframework_1_1core_1_1_unix___i2c_port.html#aca4dfe84f9c9a4fcc64d543cd54135ab">framework::core::Unix_I2cPort</a>
, <a class="el" href="classframework_1_1core_1_1_unix___serial_port.html#a0af89ec4908379c1bfc7bcf0bb8b877a">framework::core::Unix_SerialPort</a>
</li>
<li>SetSaturation()
: <a class="el" href="classframework_1_1sensor_1_1_v4_l_camera.html#a02ab8b4408c9c3639c04ba9507db329b">framework::sensor::V4LCamera</a>
</li>
<li>SetSendSize()
: <a class="el" href="classframework_1_1gui_1_1_send_data.html#acc01e037a02e1ccd532fb41ad6805edc">framework::gui::SendData</a>
</li>
<li>SetSlave()
: <a class="el" href="classframework_1_1core_1_1_i2c_port.html#a3ef066a2a9156905d7b12e0d900ffa0b">framework::core::I2cPort</a>
, <a class="el" href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#a22c6f1746ef7820244c6a81e9e024d09">framework::core::RTDM_I2cPort</a>
, <a class="el" href="classframework_1_1core_1_1_unix___i2c_port.html#a71262fcedcd357514ae302af6323f73a">framework::core::Unix_I2cPort</a>
</li>
<li>SetSpeedOffset()
: <a class="el" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#a96ff50cc44677262a585db2aa4c2d0af">framework::filter::TrajectoryGenerator1D</a>
</li>
<li>SetText()
: <a class="el" href="classframework_1_1gui_1_1_label.html#a27429bb32e0eddbd0a5a7c7cd803121b">framework::gui::Label</a>
</li>
<li>SetThrust()
: <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a4d5fda0fd639d4ce56a961fed4bd4fd1">framework::filter::UavMultiplex</a>
</li>
<li>SetTxTimeout()
: <a class="el" href="classframework_1_1core_1_1_i2c_port.html#ab9012d7f76d9987b67e7dceb51a006d5">framework::core::I2cPort</a>
, <a class="el" href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#a92600ff5d78fff644bfcc65855d41a66">framework::core::RTDM_I2cPort</a>
, <a class="el" href="classframework_1_1core_1_1_unix___i2c_port.html#a600e9f8e878961e775e215ab52d3ec34">framework::core::Unix_I2cPort</a>
</li>
<li>SetupConnection()
: <a class="el" href="classframework_1_1core_1_1_framework_manager.html#ad1da240f00558ad89896b213a9ac9fef">framework::core::FrameworkManager</a>
</li>
<li>SetupDSP()
: <a class="el" href="classframework_1_1core_1_1_framework_manager.html#addb0842421d006e0768781c056ed05be">framework::core::FrameworkManager</a>
</li>
<li>SetupLogger()
: <a class="el" href="classframework_1_1core_1_1_framework_manager.html#a1193a30091d4ea54cdb9629ff05aac3e">framework::core::FrameworkManager</a>
</li>
<li>SetupUserInterface()
: <a class="el" href="classframework_1_1core_1_1_framework_manager.html#ab50a61d52acbd0577e1929ffe56fe1ea">framework::core::FrameworkManager</a>
</li>
<li>SetValue()
: <a class="el" href="classframework_1_1core_1_1cvmatrix.html#a680a3d880810cecf9d1b60b117a51b64">framework::core::cvmatrix</a>
</li>
<li>SetValueChanged()
: <a class="el" href="classframework_1_1gui_1_1_box.html#a04fb86037c0d44506c41f787ee26398c">framework::gui::Box</a>
</li>
<li>SetValueNoMutex()
: <a class="el" href="classframework_1_1core_1_1cvmatrix.html#a9e4580a7dbb056786f6ad6795580d20c">framework::core::cvmatrix</a>
</li>
<li>SetValues()
: <a class="el" href="classframework_1_1filter_1_1_nested_sat.html#a9f919599c677e50584021cad466610e1">framework::filter::NestedSat</a>
, <a class="el" href="classframework_1_1filter_1_1_pid.html#adb2e92436d2ea3a1a29275c34602fa6b">framework::filter::Pid</a>
, <a class="el" href="classframework_1_1filter_1_1_pid_thrust.html#a5d5f3568ec3ce938d080619842111509">framework::filter::PidThrust</a>
</li>
<li>SetVolatileXmlProp()
: <a class="el" href="classframework_1_1gui_1_1_widget.html#ad132417af77a0b84089cc87f7b0a54c9">framework::gui::Widget</a>
</li>
<li>SetYaw()
: <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a0110e4554359559113a3343e121d2e7a">framework::filter::UavMultiplex</a>
</li>
<li>SetYawAxis()
: <a class="el" href="classframework_1_1filter_1_1_joy_reference.html#a49eb37763c26362392f70c009feec63d">framework::filter::JoyReference</a>
</li>
<li>SetYawRef()
: <a class="el" href="classframework_1_1filter_1_1_joy_reference.html#a53b8d74d331bc908c6095931e979db09">framework::filter::JoyReference</a>
, <a class="el" href="classframework_1_1meta_1_1_meta_dual_shock3.html#addeb93ccdd6364a12218e6fdeb472425">framework::meta::MetaDualShock3</a>
</li>
<li>SetYawTrim()
: <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a0f86d094032465e70d0da553a326a2ff">framework::filter::UavMultiplex</a>
</li>
<li>SetZRef()
: <a class="el" href="classframework_1_1filter_1_1_joy_reference.html#af8c6c9ce5441f77339447815439e88e1">framework::filter::JoyReference</a>
</li>
<li>SharedMem()
: <a class="el" href="classframework_1_1core_1_1_shared_mem.html#a43cf00a92f316cb891256a83115576ee">framework::core::SharedMem</a>
</li>
<li>shmem
: <a class="el" href="classframework_1_1sensor_1_1_simu_camera.html#aea9c8b65aefb7871af3e372e80c05f98">framework::sensor::SimuCamera</a>
, <a class="el" href="classframework_1_1sensor_1_1_simu_laser.html#a308faee38c55d5f020472cc145ba414c">framework::sensor::SimuLaser</a>
, <a class="el" href="classframework_1_1sensor_1_1_simu_us.html#a766e87d62c19f546e7951bc582a79afb">framework::sensor::SimuUs</a>
</li>
<li>SignalEvent()
: <a class="el" href="classframework_1_1meta_1_1_uav_state_machine.html#a8960dd56ece6550bd9b8a92be07adcfc">framework::meta::UavStateMachine</a>
</li>
<li>SimuAhrs()
: <a class="el" href="classframework_1_1filter_1_1_simu_ahrs.html#acdc3957807245f1c2dc89be40c6f2b41">framework::filter::SimuAhrs</a>
</li>
<li>SimuBldc()
: <a class="el" href="classframework_1_1actuator_1_1_simu_bldc.html#a0616fd81bc36716ef0f2b9f662a2b091">framework::actuator::SimuBldc</a>
</li>
<li>SimuCamera()
: <a class="el" href="classframework_1_1sensor_1_1_simu_camera.html#aea8fccb20527ebab6b1df42d626f0567">framework::sensor::SimuCamera</a>
</li>
<li>SimuGps()
: <a class="el" href="classframework_1_1sensor_1_1_simu_gps.html#aa6ca863c4dc7bc0b7dbb071a47273d65">framework::sensor::SimuGps</a>
</li>
<li>SimuImu()
: <a class="el" href="classframework_1_1sensor_1_1_simu_imu.html#a9213c1797466f1f06f96478aa1d270db">framework::sensor::SimuImu</a>
</li>
<li>SimuLaser()
: <a class="el" href="classframework_1_1sensor_1_1_simu_laser.html#a3de68443867b9a084bbe2c90a26abaaf">framework::sensor::SimuLaser</a>
</li>
<li>Simulation
: <a class="el" href="classframework_1_1sensor_1_1_gps.html#a3bec6c638e73b402193ad6a2141cb070a4f502b57d2835715eaa382c7d4c32e94">framework::sensor::Gps</a>
</li>
<li>SimuUs()
: <a class="el" href="classframework_1_1sensor_1_1_simu_us.html#a22f6ed7b1123bf1985f7f34af1d45c39">framework::sensor::SimuUs</a>
</li>
<li>SleepMS()
: <a class="el" href="classframework_1_1core_1_1_thread.html#a5bdbf5a2c9d82a562436e9ae7e5ea4b1">framework::core::Thread</a>
</li>
<li>SleepUntil()
: <a class="el" href="classframework_1_1core_1_1_thread.html#a231938b0e81bd51f7e7e8f11b8bf45d6">framework::core::Thread</a>
</li>
<li>SleepUS()
: <a class="el" href="classframework_1_1core_1_1_thread.html#ab40474f0d841d2854587bd44ec776171">framework::core::Thread</a>
</li>
<li>Sobel()
: <a class="el" href="classframework_1_1filter_1_1_sobel.html#aef4e8e3b184e3b10e0f1525d4ceb0795">framework::filter::Sobel</a>
</li>
<li>Socket()
: <a class="el" href="classframework_1_1core_1_1_socket.html#a6fe908569147879dbc8145dfd8c38e11">framework::core::Socket</a>
</li>
<li>South
: <a class="el" href="classframework_1_1gui_1_1_tab_widget.html#a1fd66ab0fc37386aec5ac84b0c503f15a65b697a5afd117dcc0df574097dc028f">framework::gui::TabWidget</a>
</li>
<li>Speed()
: <a class="el" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#a62075bd8c798d7c12a4be934e1eb0368">framework::filter::TrajectoryGenerator1D</a>
</li>
<li>SpinBox()
: <a class="el" href="classframework_1_1gui_1_1_spin_box.html#adf7e8455842e1b5d2696baf1a71938a4">framework::gui::SpinBox</a>
</li>
<li>Srf08()
: <a class="el" href="classframework_1_1sensor_1_1_srf08.html#aca62303f09436edbd91c36f1c11b15ca">framework::sensor::Srf08</a>
</li>
<li>Stabilized
: <a class="el" href="classframework_1_1meta_1_1_uav_state_machine.html#a9fa8ddc14a7863465b332125ac2c66bcafda22026db89cdc5e88b262ad9424b41">framework::meta::UavStateMachine</a>
</li>
<li>Start()
: <a class="el" href="classframework_1_1core_1_1_thread.html#aeea6854b038e4cc558dfb8dbfc6f47fd">framework::core::Thread</a>
, <a class="el" href="classframework_1_1filter_1_1_gx3__25__ahrs.html#ad275ec915be7f87b7cee34fecbeeee29">framework::filter::Gx3_25_ahrs</a>
, <a class="el" href="classframework_1_1filter_1_1_simu_ahrs.html#a1876e574d68fadf24ad7351708dcff97">framework::filter::SimuAhrs</a>
</li>
<li>StartLanding
: <a class="el" href="classframework_1_1meta_1_1_uav_state_machine.html#a9fa8ddc14a7863465b332125ac2c66bca0a0480d215decaf46260e3db52e4dc4c">framework::meta::UavStateMachine</a>
</li>
<li>StartLog()
: <a class="el" href="classframework_1_1core_1_1_framework_manager.html#ac9ace8e2d4239e880d40a0dbf0730cc1">framework::core::FrameworkManager</a>
</li>
<li>StartTraj()
: <a class="el" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#ae1b33a9354387bd33209f31003b8f1fc">framework::filter::TrajectoryGenerator1D</a>
, <a class="el" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#abcae88c1a0d392ddf2de399158a6f618">framework::filter::TrajectoryGenerator2DCircle</a>
</li>
<li>State()
: <a class="el" href="classframework_1_1sensor_1_1_vrpn_object.html#ac74e9be5afaf943227d13e13420999fa">framework::sensor::VrpnObject</a>
</li>
<li>StopLog()
: <a class="el" href="classframework_1_1core_1_1_framework_manager.html#a20b5c34e89f2254822c630f231ac8547">framework::core::FrameworkManager</a>
</li>
<li>Stopped
: <a class="el" href="classframework_1_1meta_1_1_uav_state_machine.html#a9fa8ddc14a7863465b332125ac2c66bcac23e2b09ebe6bf4cb5e2a9abe85c0be2">framework::meta::UavStateMachine</a>
</li>
<li>StopTraj()
: <a class="el" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#ac9be2ce2b53e7ef5866f459284823512">framework::filter::TrajectoryGenerator1D</a>
, <a class="el" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a8b82467d7e945375968382283436bd7a">framework::filter::TrajectoryGenerator2DCircle</a>
</li>
<li>Suspend()
: <a class="el" href="classframework_1_1core_1_1_thread.html#af9c6b84365e82242f6066d15b783e59c">framework::core::Thread</a>
</li>
<li>SuspendUntil()
: <a class="el" href="classframework_1_1core_1_1_thread.html#aafb4dee5db8515e105717940c1e4850b">framework::core::Thread</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Tue Apr 12 2016 16:29:00 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
